<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sqlMap
        PUBLIC "-//ibatis.apache.org//DTD SQL Map 2.0//EN"
        "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="com.hst.task.dao.ZhdMqDaoImp">

    <resultMap class="com.hst.task.domain.zhdtmq.QhjGetYwflDomain" id="pDataGetYwflRes">
        <result property="ywflbm" column="ywflbm"/>
        <result property="ywflmc" column="ywflmc"/>
    </resultMap>
    <parameterMap class="java.util.Map" id="pDataGetYwflParm">
        <parameter property="code" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
    </parameterMap>
    <procedure id="pDataGetYwfl" resultMap="pDataGetYwflRes" parameterMap="pDataGetYwflParm">
        { call P_BSKJ_MQ_YWFL(?,?)}
    </procedure>
    <resultMap class="com.hst.task.domain.zhdtmq.BsdtGetBsdtYwtjxxDomain" id="pBskjMqYwltjRes">
        <result property="ywflbm" column="ywflbm"/>
        <result property="ywflmc" column="ywflmc"/>
        <result property="blywsl" column="blywsl"/>
    </resultMap>
    <parameterMap class="java.util.Map" id="pBskjMqYwltjParm">
        <parameter property="code" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
    </parameterMap>
    <procedure id="pBskjMqYwltj" resultMap="pBskjMqYwltjRes" parameterMap="pBskjMqYwltjParm">
        { call P_BSKJ_MQ_YWLTJ(?,?)}
    </procedure>

    <resultMap class="com.hst.task.domain.zhdtmq.BsdtGetBsdtRltjxxReturnDomain" id="pBskjMqRllxxRes">
        <result property="dqrll" column="dqrll"/>
        <result property="dqdhrs" column="dqdhrs"/>
    </resultMap>
    <parameterMap class="java.util.Map" id="pBskjMqRllxxParm">
        <parameter property="code" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
    </parameterMap>
    <procedure id="pBskjMqRllxx" resultMap="pBskjMqRllxxRes" parameterMap="pBskjMqRllxxParm">
        { call P_BSKJ_MQ_RLLXX(?,?)}
    </procedure>


    <resultMap class="com.hst.task.domain.zhdtmq.DqYjdjDomain" id="pBskjMqYjDqyyjdjRes">
        <result property="BSDT_DJXH" column="BSDT_DJXH"/>
        <result property="YJDJ_DM" column="YJDJ_DM"/>
        <result property="YJXXMS" column="YJXXMS"/>
        <result property="RQ" column="RQ"/>
        <result property="CJSJ" column="CJSJ"/>
    </resultMap>
    <parameterMap class="java.util.Map" id="pBskjMqYjDqyyjdjPar">
        <parameter property="code" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
    </parameterMap>
    <procedure id="pBskjMqYjDqyyjdj" resultMap="pBskjMqYjDqyyjdjRes" parameterMap="pBskjMqYjDqyyjdjPar">
        { call P_BSKJ_MQ_YJ_DQYJDJ(?,?)}
    </procedure>

    <resultMap class="com.hst.task.domain.zhdtmq.DqyjzbYwflDomain" id="pBskjMqYjYjzbYfwlRes">
        <result property="BSDT_DJXH" column="BSDT_DJXH"/>
        <result property="YJZBBM" column="YJZBBM"/>
        <result property="YWFLDM" column="YWFLDM"/>
        <result property="YWFLMC" column="YWFLMC"/>
        <result property="YJZB_VALUE" column="YJZB_VALUE"/>
        <result property="RQ" column="RQ"/>
        <result property="CJSJ" column="CJSJ"/>
        <result property="ZDYYJ_SFYJ" column="ZDYYJ_SFYJ"/>
        <result property="ZDYYJ_YJDJ_DM" column="ZDYYJ_YJDJ_DM"/>
    </resultMap>
    <parameterMap class="java.util.Map" id="pBskjMqYjYjzbYfwlParm">
        <parameter property="code" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
    </parameterMap>
    <procedure id="pBskjMqYjYjzbYfwl" resultMap="pBskjMqYjYjzbYfwlRes" parameterMap="pBskjMqYjYjzbYfwlParm">
        { call P_BSKJ_MQ_YJ_YJZBYFWL(?,?)}
    </procedure>

    <resultMap class="com.hst.task.domain.zhdtmq.DqYjzbZtqkDomain" id="pBskjMqYjYjzbZtqkRes">
        <result property="BSDT_DJXH" column="BSDT_DJXH"/>
        <result property="YJZBBM" column="YJZBBM"/>
        <result property="YJZB_VALUE" column="YJZB_VALUE"/>
        <result property="RQ" column="RQ"/>
        <result property="CJSJ" column="CJSJ"/>
        <result property="SJYJ_SFYJ" column="SJYJ_SFYJ"/>
        <result property="SJYJ_YJDJ_DM" column="SJYJ_YJDJ_DM"/>
        <result property="ZDYYJ_SFYJ" column="ZDYYJ_SFYJ"/>
        <result property="ZDYYJ_YJDJ_DM" column="ZDYYJ_YJDJ_DM"/>
    </resultMap>
    <parameterMap class="java.util.Map" id="pBskjMqYjYjzbZtqkParm">
        <parameter property="code" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
    </parameterMap>
    <procedure id="pBskjMqYjYjzbZtqk" resultMap="pBskjMqYjYjzbZtqkRes" parameterMap="pBskjMqYjYjzbZtqkParm">
        { call P_BSKJ_MQ_YJ_ZTQK(?,?)}
    </procedure>

    <resultMap class="com.hst.task.domain.zhdtmq.DqdhrsfbDomain" id="pBskjMqYjDhrsfbRes">
        <result property="BSDT_DJXH" column="BSDT_DJXH"/>
        <result property="RQ" column="RQ"/>
        <result property="CJSJ" column="CJSJ"/>
        <result property="DHRS05" column="DHRS05"/>
        <result property="DHRS10" column="DHRS10"/>
        <result property="DHRS15" column="DHRS15"/>
        <result property="DHRS20" column="DHRS20"/>
        <result property="DHRS25" column="DHRS25"/>
        <result property="DHRS30" column="DHRS30"/>
        <result property="DHRS35" column="DHRS35"/>
        <result property="DHRS40" column="DHRS40"/>
        <result property="DHRS45" column="DHRS45"/>
        <result property="DHRS50" column="DHRS50"/>
        <result property="DHRS55" column="DHRS55"/>
        <result property="DHRS60" column="DHRS60"/>
        <result property="DHRS60YS" column="DHRS60YS"/>
    </resultMap>
    <parameterMap class="java.util.Map" id="pBskjMqYjDhrsfbparm">
        <parameter property="code" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
    </parameterMap>
    <procedure id="pBskjMqYjDhrsfb" resultMap="pBskjMqYjDhrsfbRes" parameterMap="pBskjMqYjDhrsfbparm">
        { call P_BSKJ_MQ_YJ_DHRSFB(?,?)}
    </procedure>


    <resultMap class="com.hst.task.domain.zhdtmq.DqckxxDomain" id="pBskjMqYjDqCKXXrES">
        <result property="BSDT_DJXH" column="BSDT_DJXH"/>
        <result property="CKBM" column="CKBM"/>
        <result property="RQ" column="RQ"/>
        <result property="CJSJ" column="CJSJ"/>
        <result property="BLR_XM" column="BLR_XM"/>
        <result property="BLR_SJHM" column="BLR_SJHM"/>
        <result property="BLR_HEAD_PIC" column="BLR_HEAD_PIC"/>
        <result property="YWFW" column="YWFW"/>
        <result property="DQZT" column="DQZT"/>
        <result property="DQBLHM" column="DQBLHM"/>
        <result property="DQBLYW" column="DQBLYW"/>
        <result property="DQBLKSSJ" column="DQBLKSSJ"/>
        <result property="DQBLSC" column="DQBLSC"/>
        <result property="DRBJS" column="DRBJS"/>
        <result property="DRPJS" column="DRPJS"/>
        <result property="DRPJMYS" column="DRPJMYS"/>
        <result property="DRPJBMYS" column="DRPJBMYS"/>
        <result property="DRPJSLSC" column="DRPJSLSC"/>
        <result property="DRZCSLSC" column="DRZCSLSC"/>
        <result property="ZDYYJ_SFYJ" column="ZDYYJ_SFYJ"/>
        <result property="ZDYYJ_YJDJ_DM" column="ZDYYJ_YJDJ_DM"/>

    </resultMap>
    <parameterMap class="java.util.Map" id="pBskjMqYjDqCKXXPar">
        <parameter property="code" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
    </parameterMap>
    <procedure id="pBskjMqYjDqCKXX" resultMap="pBskjMqYjDqCKXXrES" parameterMap="pBskjMqYjDqCKXXPar">
        { call P_BSKJ_MQ_YJ_DQCKXX(?,?)}
    </procedure>

    <parameterMap class="java.util.Map" id="pNsfwYjJsPar">
        <parameter property="code" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
    </parameterMap>
    <procedure id="pNsfwYjJs"   parameterMap="pNsfwYjJsPar">
        { call P_NSFW_YJ_JS(?,?)}
    </procedure>



</sqlMap>